#!/usr/bin/env bash

mesg="NODE_IS_HEALTHY = True"

#  check CVMFS:
for fs in cms.cern.ch/.cvmfsdirtab etp.kit.edu/test.txt grid.cern.ch/.cvmfsdirtab sft.cern.ch/lcg/mapfile.txt belle.cern.ch/.cvmfsdirtab; do
  if ! cat /cvmfs/$fs 2>&1>> /dev/null ; then
      mesg="NODE_IS_HEALTHY = \"cvmfs ${fs%/*} is not mounted\""
  fi
done
for fs in pheno.egi.eu/compilers; do
  if [ ! -d "/cvmfs/$fs" ]; then
      mesg="NODE_IS_HEALTHY = \"cvmfs ${fs%/*} is not mounted\""
  fi
done

echo $mesg
